Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.request
Class AuthInfo1DeleteRequest

    java.lang.Object
      de.knipp.rritoolkit.request.Request
          de.knipp.rritoolkit.request.DomainSimpleRequest
              de.knipp.rritoolkit.request.AuthInfo1DeleteRequest

    public class AuthInfo1DeleteRequest

extends DomainSimpleRequest

class that represents an AuthInfo 1 delete request

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny

Constructor Summary
`AuthInfo1DeleteRequest()` constructor
`AuthInfo1DeleteRequest(java.lang.String theDomainName)` constructor
`AuthInfo1DeleteRequest(java.lang.String theDomainName, java.lang.String theEncodedDomainName)` constructor

Method Summary
`AuthInfo1DeleteResponse` | `execute(Port port)` execute the this request on the given port.
`protected java.lang.String` | `getActionCode()` return the action string for this request
`protected java.lang.String` | `getRequestElementName()` return the XML element name

Methods inherited from class de.knipp.rritoolkit.request.DomainSimpleRequest
`addAttributes, getDomainName, getEncodedDomainName, requestToKVList, requestToXml, setDomainName, setDomainName, toString`

Methods inherited from class de.knipp.rritoolkit.request.Request
`getClientTxnID, getProtocolVersion, setClientTxnID, toList, toXml`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthInfo1DeleteRequest

    public AuthInfo1DeleteRequest()

  constructor

### AuthInfo1DeleteRequest

    public AuthInfo1DeleteRequest(java.lang.String theDomainName,
                                  java.lang.String theEncodedDomainName)

  constructor

  Parameters:
    `theDomainName` - the domain name
    `theEncodedDomainName` - the encoded domain name, may be `null` for ASCII only domains

### AuthInfo1DeleteRequest

    public AuthInfo1DeleteRequest(java.lang.String theDomainName)

  constructor

  Parameters:
    `theDomainName` - the domain name

Method Detail

### execute

    public AuthInfo1DeleteResponse execute(Port port)
                                    throws java.io.IOException

  execute the this request on the given port.

  Overrides:
    `execute` in class `Request`
  Parameters:
    `port` - the port on which this request shall be executed
  Returns:
    the response
  Throws:
    `java.io.IOException` - if the execution failed

### getRequestElementName

    protected java.lang.String getRequestElementName()

  return the XML element name

  Specified by:
    `getRequestElementName` in class `DomainSimpleRequest`
  Returns:
    the element name

### getActionCode

    protected java.lang.String getActionCode()

  return the action string for this request

  Specified by:
    `getActionCode` in class `Request`
  Returns:
    the action string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH